Eclipse Draw2d 3.3

## org.eclipse.draw2d.text
Class FlowAdapter

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.text.FlowFigure
              org.eclipse.draw2d.text.FlowAdapter

All Implemented Interfaces:
  IFigure

    public class FlowAdapter

extends FlowFigure

Adapts non-flow figures for use within a parent hierarchy requiring flow figures. Normal draw2d figures can be added as children. If a normal LayoutManager is set, the children will be positioned by that layout manager. The size of this figure within the flow will be determined by its preferred size.

WARNING: This class is not intended to be subclassed by clients.

Since:
  3.1

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw2d.text.FlowFigure
`selectionStart`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`FlowAdapter()`

Method Summary
`protected void` `contributeBidi(BidiProcessor proc)` This FlowFigure contributes an Object Replacement Character.
`protected FlowFigureLayout` `createDefaultFlowLayout()` Creates the default layout manager
`protected void` `layout()` Sizes the content box to be big enough to display all figures.
`void` `postValidate()` Updates the bounds of this figure to match that of its content box, and lays out this figure's children.
`void` `setBidiInfo(BidiInfo info)` Sets the bidi level of the content box associated with this Figure
`void` `setBounds(Rectangle rect)` FlowFigures override setBounds() to prevent translation of children.
`void` `setFlowContext(FlowContext flowContext)` Sets the flow context.
`void` `validate()` Do not validate children.

Methods inherited from class org.eclipse.draw2d.text.FlowFigure
`add, addLeadingWordRequirements, remove, revalidateBidi, setSelection`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, paint, paintBorder, paintChildren, paintClientArea, paintFigure, primTranslate, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowAdapter

    public FlowAdapter()

Method Detail

### contributeBidi

    protected void contributeBidi(BidiProcessor proc)

  This FlowFigure contributes an Object Replacement Character.

  Overrides:
    `contributeBidi` in class `FlowFigure`
  Parameters:
    `proc` - the BidiProcessor to which contributions should be made
  See Also:
    `FlowFigure.contributeBidi(BidiProcessor)`

### createDefaultFlowLayout

    protected FlowFigureLayout createDefaultFlowLayout()

  Description copied from class: `FlowFigure`
  Creates the default layout manager

  Specified by:
    `createDefaultFlowLayout` in class `FlowFigure`
  Returns:
    `null`
  See Also:
    `FlowFigure.createDefaultFlowLayout()`

### layout

    protected void layout()

  Sizes the content box to be big enough to display all figures. Wraps to the next line if there is not enough room on the current one.

  Overrides:
    `layout` in class `Figure`
  See Also:
    `Figure.layout()`

### postValidate

    public void postValidate()

  Updates the bounds of this figure to match that of its content box, and lays out this figure's children.

  Specified by:
    `postValidate` in class `FlowFigure`
  See Also:
    `FlowFigure.postValidate()`

### setBidiInfo

    public void setBidiInfo(BidiInfo info)

  Sets the bidi level of the content box associated with this Figure

  Overrides:
    `setBidiInfo` in class `FlowFigure`
  Parameters:
    `info` - the BidiInfo for this figure
  See Also:
    `FlowFigure.setBidiInfo(BidiInfo)`

### setBounds

    public void setBounds(Rectangle rect)

  Description copied from class: `FlowFigure`
  FlowFigures override setBounds() to prevent translation of children. "bounds" is a derived property for FlowFigures, calculated from the fragments that make up the FlowFigure.

  Specified by:
    `setBounds` in interface `IFigure`
  Overrides:
    `setBounds` in class `FlowFigure`
  Parameters:
    `rect` - The new bounds
  See Also:
    `IFigure.setBounds(org.eclipse.draw2d.geometry.Rectangle)`

### setFlowContext

    public void setFlowContext(FlowContext flowContext)

  Description copied from class: `FlowFigure`
  Sets the flow context.

  Overrides:
    `setFlowContext` in class `FlowFigure`
  Parameters:
    `flowContext` - the flow context for this flow figure
  See Also:
    `FlowFigure.setFlowContext(FlowContext)`

### validate

    public void validate()

  Do not validate children.

  Specified by:
    `validate` in interface `IFigure`
  Overrides:
    `validate` in class `Figure`
  See Also:
    `IFigure.validate()`

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.